Subject: bug#17048: switch-to-buffer function show killed buffers names

From: Stefan <[email-masked]>
Date: Thu, 20 Mar 2014 10:16:43 -0400

retitle 17048 minibuffer history should filter out impossible entries
thanks

> When I call switch-to-buffer function <C-x b> and then when I ress up/down
> arrows the list show buffers that I've kill, even that when I press Tab that
> buffers don't show on the list.

Yes, that's because up/down make you go through the history of what
you've entered.

I actually agree that when the completion is "must-match", it would make
sense of the history commands to skip entries that don't match one of
the current possible answers.  Tho it can be convenient to do <up> to
get the previous killed buffer name, and then tweak it a little, when
killing many buffers with similar names (typically hidden buffers used
for things like Tramp connections ;-).

        Stefan